overloaded: Overloaded pragmas as a plugin

[ bsd3, library, plugin ] [ Propose Tags ]

Implement Overloaded pragmas as a source plugin

For example we can replace

{-# LANGUAGE OverloadedStrings #-}

with

{-# OPTIONS -fplugin=Overloaded -fplugin-opt=Overloaded:Strings #-}
Versions [faq] 0.1, 0.1.1, 0.1.2
Change log CHANGELOG.md
Dependencies base (>=4.12.0.0 && <4.13 || >=4.13.0.0 && <4.14), bytestring (>=0.10.8.2 && <0.11), containers (>=0.6.0.1 && <0.7), fin (==0.1.*), ghc (==8.6.* || ==8.8.*), record-hasfield (==1.0.*), sop-core (>=0.5.0.0 && <0.6), split (>=0.2.3.3 && <0.3), syb (>=0.7.1 && <0.8), symbols (>=0.3.0.0 && <0.4), text (>=1.2.3.0 && <1.3), time (>=1.8.0.2 && <1.9 || >=1.9.3 && <1.10), vec (>=0.1.1.1 && <0.3) [details]
License BSD-3-Clause
Author Oleg Grenrus <oleg.grenrus@iki.fi>
Maintainer Oleg Grenrus <oleg.grenrus@iki.fi>
Revised Revision 1 made by phadej at Mon Oct 7 13:56:51 UTC 2019
Category Plugin
Source repo head: git clone https://github.com/phadej/overloaded.git
Uploaded by phadej at Tue Oct 1 07:15:17 UTC 2019
Distributions NixOS:0.1.2
Downloads 124 total (83 in the last 30 days)
Rating (no votes yet) [estimated by rule of succession]
Your Rating
  • λ
  • λ
  • λ
Status Hackage Matrix CI
Docs available [build log]
Last success reported on 2019-10-01 [all 1 reports]

Modules

[Index] [Quick Jump]

Downloads

Note: This package has metadata revisions in the cabal description newer than included in the tarball. To unpack the package including the revisions, use 'cabal get'.

Maintainer's Corner

For package maintainers and hackage trustees